/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/Services.jsm");

let EXPORTED_SYMBOLS = ["UnMHTAppInfo"];

/**
 * アプリケーション情報
 */
let UnMHTAppInfo = {
  /**
   * Firefox かどうかを返す
   *
   * @return Boolean
   *         Firefox かどうか
   */
  isFirefox : function () {
    return this._isFirefox;
  },
  
  /**
   * Thunderbird かどうかを返す
   *
   * @return Boolean
   *         Thunderbird かどうか
   */
  isThunderbird : function () {
    return this._isThunderbird;
  },
  
  /**
   * SeaMonkey かどうかを返す
   *
   * @return Boolean
   *         SeaMonkey かどうか
   */
  isSeaMonkey : function () {
    return this._isSeaMonkey;
  },
  
  /* ==== private ==== */
  
  _isFirefox : false,     /* Boolean  Firefox かどうか */
  _isThunderbird : false, /* Boolean  Thunderbird かどうか */
  _isSeaMonkey : false,   /* Boolean  SeaMonkey かどうか */
  
  /**
   * 初期化処理
   */
  init : function () {
    switch (Services.appinfo.ID) {
      case "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}": {
        this._isFirefox = true;
        break;
      }
      case "{3550f703-e582-4d05-9a08-453d09bdfdc6}": {
        this._isThunderbird = true;
        break;
      }
      case "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}": {
        this._isSeaMonkey = true;
        break;
      }
    }
  }
};
UnMHTAppInfo.init ();
