/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative (this, "UnMHTFileUtil.jsm");

let EXPORTED_SYMBOLS = ["UnMHTCSSUtil"];

/**
 * CSS ユーティリティ
 */
let UnMHTCSSUtil = {
  /**
   * CSS の import 対象を収集する
   *
   * @param  String content
   *         CSS の内容
   * @param  String location
   *         CSS の記述されたファイル
   *         もしくは親ディレクトリ
   * @return Array
   *         収集した URL
   */
  gatherImport : function (content, location) {
    let urls = [];
    
    content.replace
    (/(@import\s*(?:url\s*\(\s*)?)(?:\"((?:\\\"|[^\"])+)\"|\'((?:\\\'|[^\'])+)\'|([^\"\';\(\)]+))/ig,
     function (matched, prev, dqpath, qpath, path) {
      path = dqpath || qpath || path;
      
      urls.push
        (UnMHTFileUtil.jointPath (location.replace (/\/[^\/]+$/, ""), path));
    });
    
    return urls;
  }
};
