/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");

let EXPORTED_SYMBOLS = ["UnMHTDialog"];

/**
 * ダイアログ
 *
 * @param  nsIDOMWindow window
 *         対象のウィンドウ
 * @implements IUnMHTDialog
 */
function UnMHTDialog (window) {
  this._window = window;
}
UnMHTDialog.prototype = {
  /* ==== IUnMHTDialog インターフェース ==== */
  
  /**
   * 破棄
   */
  destruct : function () {
    this._window = null;
  },
  
  /**
   * ロードイベント
   */
  onLoad : function () {
  },
    
  /**
   * アンロードイベント
   */
  onUnload : function () {
  },
  
  /**
   * ダイアログを OK したイベント
   *
   * @return Boolean
   *         ダイアログを閉じるか
   */
  onDialogAccept : function () {
    return true;
  },
  
  /**
   * ダイアログをキャンセルしたイベント
   *
   * @return Boolean
   *         ダイアログを閉じるか
   */
  onDialogCancel : function () {
    return true;
  },
  
  /* ==== private ==== */
  
  _window : null,   /* nsIDOMWindow  対象のウィンドウ */
  
  /**
   * getElementById の省略
   *
   * @param  String id
   *         要素の ID
   * @return nsIDOMElement
   *         id に対応する要素
   *         見付からなければ null
   */
  el : function (id) {
    return this._window.document.getElementById (id);
  }
};
