/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative (this, "UnMHTStringBundle.jsm");

let EXPORTED_SYMBOLS = ["UnMHTFormatter"];

/**
 * テキストフォーマッタ
 */
let UnMHTFormatter = {
  /**
   * ファイルサイズを "," で区切る
   *
   * @param  Number size
   *         ファイルサイズ
   * @return String
   *         "," で区切られたファイルサイズ
   */
  getReadableSize : function (size) {
    let readableSize = "" + size;
        
    if (readableSize.length > 3) {
      readableSize
        = this.getReadableSize
        (readableSize.substr (0, readableSize.length - 3))
        + "," + readableSize.substr (readableSize.length - 3);
    }
    
    return readableSize;
  },
  
  /**
   * 時刻を可読形式に変換する
   *
   * @param  Number time
   *         時刻
   * @return String
   *         時刻の可読形式
   */
  getReadableTime : function (time) {
    let date = new Date (time);
    
    let dateService
    = Cc ["@mozilla.org/intl/scriptabledateformat;1"]
    .getService (Ci.nsIScriptableDateFormat);
    
    return dateService.FormatDateTime
    ("",
     Ci.nsIScriptableDateFormat.dateFormatLong,
     Ci.nsIScriptableDateFormat.timeFormatSeconds,
     date.getFullYear (), date.getMonth () + 1, date.getDate (),
     date.getHours (), date.getMinutes (), date.getSeconds ());
  }
};
