/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;

let EXPORTED_SYMBOLS = ["UnMHTHTMLUtil"];

/**
 * HTML 操作ユーティリティ
 */
let UnMHTHTMLUtil = {
  /**
   * HTML に使えない文字をエスケープする
   * 
   * @param  String text
   *         エスケープする文字列
   * @return String
   *         エスケープした文字列
   */
  escapeEntity : function (text) {
    return (text
            .replace (/&/g, "&amp;")
            .replace (/\"/g, "&quot;")
            .replace (/\'/g, "&#x27;")
            .replace (/</g, "&lt;")
            .replace (/>/g, "&gt;")
            .replace (/\xa0/g, "&nbsp;"));
  },
    
  /**
   * HTML に使えない文字のエスケープを解除する
   * 
   * @param  String text
   *         エスケープを解除する文字列
   * @return String
   *         エスケープを解除した文字列
   */
  unescapeEntity : function (text) {
    return (text
            .replace (/&gt;/g, ">")
            .replace (/&lt;/g, "<")
            .replace (/&quot;/g, "\"")
            .replace (/&#x27;/g, "\'")
            .replace (/&nbsp;/g, " ")
            .replace (/&amp;/g, "&"));
  }
};
