/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;

let EXPORTED_SYMBOLS = ["UnMHTMailPrivacy"];

/**
 * メールの個人情報を隠す
 */
let UnMHTMailPrivacy = {
  /**
   * メールの URL を置き換える
   *
   * @param  String url
   *         メールの中で使用される URL
   * @param  String contentLocation
   *         メールの URL
   * @return String
   *         置換した URL
   */
  hideMailURL : function (url, contentLocation) {
    if (this.isMailURL (url)) {
      url
      = url
      .replace (/(^.+\?.*)&type=[^&]+(.*)/, "$1$2")
      .replace (/^(imap|mailbox|news|nntp|pop|snews):\/\/[^\/]*\//, "")
      .replace
      (contentLocation
       .replace (/\?.*/, "")
       .replace (/^(imap|mailbox|news|nntp|pop|snews):\/\/[^\/]*\//, ""),
       "file:///mail/attachment/");
            
      if (url == "file:///mail/attachment/") {
        url = "file:///mail/index.html";
      }
    }
    
    return url;
  },
  
  /**
   * メールの URL かどうかを返す
   *
   * @param  String url
   *         対象の URL
   * @return Boolean
   *         メールの URL かどうか
   */
  isMailURL : function (url) {
    if (url.match (/^(imap|mailbox|news|nntp|pop|snews):\/\//)) {
      return true;
    }
    return false;
  }
};
