/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative (this, "UnMHTDialog.jsm");
XPCOMUtils.importRelative (this, "UnMHTPrototype.jsm");

let EXPORTED_SYMBOLS = ["UnMHTNGListDialogClass"];

/**
 * 保存失敗リストダイアログ
 *
 * ウィンドウの引数
 * {
 *   ngList : Array  保存失敗した URI リスト (必須)
 *              [String URI, ...]
 * }
 *
 * @param  nsIDOMWindow window
 *         対象のウィンドウ
 * @inherits   UnMHTDialog
 * @implements IUnMHTDialog
 */
function UnMHTNGListDialogClass (window) {
  UnMHTDialog.call (this, window);
}
UnMHTNGListDialogClass.prototype = {
  /* ==== IUnMHTDialog インターフェース ==== */
  
  /**
   * ロードイベント
   */
  onLoad : function () {
    let arg = this._window.arguments [0];
    
    this.el ("failed").value = arg.ngList.join ("\n");
  }
};
UnMHTPrototype.createInheritance (UnMHTNGListDialogClass, UnMHTDialog);
