/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;

let EXPORTED_SYMBOLS = ["UnMHTShutdown"];

/**
 * シャットダウン時のイベント通知
 */
let UnMHTShutdown = {
  /**
   * シャットダウン時のリスナを追加する
   *
   * @param  Function f
   *         シャットダウン時のリスナ
   */
  addListener : function (f) {
    this._listeners.push (f);
  },
  
  /**
   * シャットダウン時のイベント
   *
   * @param  Object data
   *         Bootstrap データ
   * @param  Number reason
   *         理由
   */
  onShutdown : function (data, reason) {
    this._listeners.forEach (function (f) {
        try {
          f (data, reason)
        }
        catch (e) {
        }
      });
    this._listeners = [];
  },
  
  /* ==== private ==== */
  
  _listeners : [] /* Array シャットダウン時のリスナ
                   *   [Function, ...] */
};
