/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative (this, "UnMHTShutdown.jsm");

let EXPORTED_SYMBOLS = ["UnMHTStringBundle"];

/**
 * StringBundle 管理
 */
let UnMHTStringBundle = {
  /**
   * StringBundle から文字列を取得する
   *
   * @param  String name
   *         取得する文字列の名前
   * @return String
   *         StringBundle の文字列
   */
  get : function (name) {
    return this._bundle.GetStringFromName (name);
  },
  
  /**
   * キャッシュをクリアする
   */
  flushBundle : function () {
    let stringBundleService
    = Cc ["@mozilla.org/intl/stringbundle;1"]
    .getService (Ci.nsIStringBundleService);
    stringBundleService.flushBundles ();
  },
  
  /* ==== private ==== */

  _bundle : null, /* nsIStringBundleService  StringBundle */
  
  /**
   * 初期化処理
   */
  init : function () {
    this._bundle
    = Cc ["@mozilla.org/intl/stringbundle;1"]
    .getService (Ci.nsIStringBundleService)
    .createBundle ("chrome://unmht/locale/unmht.properties");
  },
  
  /**
   * 終了処理
   */
  term : function () {
    UnMHTStringBundle.flushBundle ();
  }
};
UnMHTStringBundle.init ();
UnMHTShutdown.addListener (function (data, reason) {
    UnMHTStringBundle.term ();
  });
