/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/Services.jsm");
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");

let EXPORTED_SYMBOLS = ["UnMHTThreadUtil"];

/**
 * スレッド管理
 */
let UnMHTThreadUtil = {
  /**
   * 関数を非同期に実行する
   *
   * @param  Function func
   *         実行する関数
   */
  runAsync : function (func) {
    let runnable = {
      QueryInterface: XPCOMUtils.generateQI ([Ci.nsIRunnable]),
      run : function () {
        func ();
      }
    };
    Services.tm.currentThread.dispatch
    (runnable, Ci.nsIEventTarget.DISPATCH_NORMAL);
  }
};
