/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");

let EXPORTED_SYMBOLS = ["UnMHTTimer"];

/**
 * タイマー
 */
let UnMHTTimer = {
  /**
   * 指定時間後に関数を実行する
   *
   * @param  Function func
   *         実行する関数
   * @param  Number timeout
   *         待ち時間 [ms]
   */
  setTimeout : function (func, timeout) {
    let timer = Cc ["@mozilla.org/timer;1"].createInstance (Ci.nsITimer);
    
    let callback = {
      QueryInterface: XPCOMUtils.generateQI ([Ci.nsITimerCallback]),
      timer : timer,
      
      notify : function (timer) {
        func ();
        this.timer = null;
      }
    };
    
    timer.initWithCallback (callback, timeout, Ci.nsITimer.TYPE_ONE_SHOT);
  }
};
