/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");

let EXPORTED_SYMBOLS = ["UnMHTWindowHook"];

/**
 * ウィンドウフック
 *
 * @param  nsIDOMWindow window
 *         対象のウィンドウ
 * @implements IUnMHTWindowHook
 */
function UnMHTWindowHook (window) {
  this._window = window;
}
UnMHTWindowHook.prototype = {
  /* ==== IUnMHTWindowHook インターフェース ==== */
  
  /**
   * 破棄
   */
  destruct : function () {
    this._window = null;
  },
  
  /**
   * ウィンドウにロードする
   *
   * @param  Boolean isStartup
   *         スタートアップイベントか
   * @param  Number reason
   *         スタートアップの理由
   */
  load : function (isStartup, reason) {
  },
  
  /**
   * ウィンドウからアンロードする
   *
   * @param  Boolean isShutdown
   *         シャットダウンイベントか
   * @param  Number reason
   *         シャットダウンの理由
   */
  unload : function (isShutdown, reason) {
  },
  
  /* ==== private ==== */
  
  _window : null,   /* nsIDOMWindow  対象のウィンドウ */
  
  /**
   * getElementById の省略
   *
   * @param  String id
   *         要素の ID
   * @return nsIDOMElement
   *         id に対応する要素
   *         見付からなければ null
   */
  el : function (id) {
    return this._window.document.getElementById (id);
  }
};
